## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global uuid    com.github.unrud.VideoDownloader

Name:           video-downloader
Version:        0.12.9
Release:        %autorelease
Summary:        Download videos from websites like YouTube and many others

License:        GPLv3+
URL:            https://github.com/Unrud/video-downloader
Source0:        %{url}/archive/v%{version}/%{name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  desktop-file-utils
BuildRequires:  gtk-update-icon-cache
BuildRequires:  intltool
BuildRequires:  libappstream-glib
BuildRequires:  librsvg2-tools
BuildRequires:  meson >= 0.59
BuildRequires:  python3-devel

BuildRequires:  pkgconfig(glib-2.0)

Requires:       gtk4
Requires:       hicolor-icon-theme
Requires:       libadwaita >= 1.2.0
Requires:       python3-xlib
Requires:       yt-dlp

%description
Download videos from websites with an easy-to-use interface. Provides the
following features:

  * Convert videos to MP3
  * Supports password-protected and private videos
  * Download single videos or whole playlists
  * Automatically selects a video format based on your preferred resolution

Based on yt-dlp.


%prep
%autosetup


%build
%meson
%meson_build


%install
%meson_install
%find_lang %{name}


%check
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/*.xml
desktop-file-validate %{buildroot}%{_datadir}/applications/*.desktop


%files -f %{name}.lang
%license COPYING
%doc README.md
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/*.desktop
%{_datadir}/glib-2.0/schemas/*.gschema.xml
%{_datadir}/icons/hicolor/*/*/*.{png,svg}
%{_metainfodir}/*.xml


%changelog
* Sat Aug 19 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 0.12.9-1
- chore: Update to 0.12.9

* Thu Aug 17 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 0.12.8-1
- chore: Update to 0.12.8

* Sat Jul 22 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.12.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Mon Jul 17 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 0.12.6-1
- chore: Update to 0.12.6

* Sun Jun 25 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 0.12.5-1
- chore: Update to 0.12.5

* Tue Apr 25 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 0.12.2-1
- chore: Update to 0.12.2

* Wed Mar 29 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 0.12.0-1
- chore: Update to 0.12.0

* Tue Mar 21 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 0.11.2-1
- chore: Update to 0.11.2

* Sat Mar 04 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 0.11.0-1
- chore: Update to 0.11.0

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.13-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Tue Jan 10 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 0.10.13-1
- chore: Update to 0.10.13

* Thu Dec 01 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 0.10.12-1
- chore(update): 0.10.12

* Sun Nov 27 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 0.10.11-1
- chore(update): 0.10.11

* Mon Oct 24 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 0.10.10-1
- chore(update): 0.10.10

* Sun Oct 16 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 0.10.9-1
- chore(update): 0.10.9

* Thu Oct 13 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 0.10.8-1
- chore(update): 0.10.8

* Fri Sep 30 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 0.10.7-1
- chore(update): 0.10.7

* Fri Sep 30 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 0.10.6-1
- chore(update): 0.10.6

* Sat Sep 24 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 0.10.5-2
- build: Requires libadwaita >= 1.2.0

* Fri Sep 23 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 0.10.5-1
- chore(update): 0.10.5

* Mon Sep 19 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 0.10.4-1
- chore(update): 0.10.4

* Tue Sep 06 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 0.10.3-2
- build: Add BR: gtk-update-icon-cache

* Tue Sep 06 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 0.10.3-1
- chore(update): 0.10.3

* Wed Aug 24 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 0.10.2-1
- chore(update): 0.10.2

* Sun Aug 21 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 0.10.1-1
- chore(update): 0.10.1

* Sat Aug 20 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 0.10.0-1
- chore(update): 0.10.0

* Wed Aug 17 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 0.9.10-1
- chore(update): 0.9.10

* Tue Aug 09 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 0.9.9-1
- chore(update): 0.9.9

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.8-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Fri Jun 24 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 0.9.8-1
- chore(update): 0.9.8

* Thu May 12 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 0.9.7-1
- chore(update): 0.9.7

* Wed Feb 02 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 0.9.6-1
- chore(update): 0.9.6

* Mon Jan 24 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 0.9.5-1
- chore(update): 0.9.5

* Sat Jan 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Mon Nov 29 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 0.9.4-1
- chore(update): 0.9.4
- build: youtube-dl -> yt-dlp

* Tue Sep 28 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 0.8.10-1
- build(update): 0.8.10

* Mon Sep 27 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 0.8.9-1
- build(update): 0.8.9

* Mon Sep 27 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 0.8.8-2
- test: Disable upstream tests. Basically they are the same as Fedora doing
  for AppData.

* Mon Sep 27 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 0.8.8-1
- build(update): 0.8.8

* Sun Sep 26 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 0.8.7-1
- build(update): 0.8.7

* Thu Aug 26 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 0.8.6-1
- build(update): 0.8.6

* Sat Jul 31 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 0.8.5-1
- build(update): 0.8.5

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Wed Jul 14 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 0.8.4-1
- build(update): 0.8.4

* Sat May 15 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 0.8.3-1
- build(update): 0.8.3

* Sat May 01 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 0.8.2-1
- build(update): 0.8.2

* Sat May 01 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 0.8.1-1
- build(update): 0.8.1

* Sun Apr 18 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 0.8.0-1
- build(update): 0.8.0

* Wed Apr 07 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 0.7.5-1
- build(update): 0.7.5

* Wed Mar 31 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 0.7.4-1
- build(update): 0.7.4

* Mon Mar 29 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 0.7.2-1
- build(update): 0.7.2

* Mon Feb 08 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 0.7.1-1
- build(update): 0.7.1

* Fri Feb 05 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 0.7.0-1
- build(update): 0.7.0

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Thu Jan 21 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 0.6.8-1
- build(update): 0.6.8

* Sat Jan 16 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 0.6.7-1
- build(update): 0.6.7

* Fri Jan  8 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 0.6.6-1
- build(update): 0.6.6

* Mon Jan  4 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 0.6.5-1
- build(update): 0.6.5

* Sat Jan  2 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 0.6.4-1
- build(update): 0.6.4

* Wed Dec 16 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.6.3-1
- build(update): 0.6.3

* Sat Dec 12 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.6.2-1
- build(update): 0.6.2

* Thu Nov 12 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.6.1-1
- build(update): 0.6.1

* Sun Oct 25 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.6.0-1
- build(update): 0.6.0

* Wed Oct 21 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.5.9-1
- build(update): 0.5.9

* Sun Oct  4 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.5.8-1
- Update to 0.5.8

* Sun Sep 20 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.5.7-1
- Update to 0.5.7

* Sat Sep 19 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.5.6-1
- Update to 0.5.6

* Mon Sep  7 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.5.5-1
- Update to 0.5.5

* Mon Aug 31 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.5.3-1
- Update to 0.5.3

* Wed Aug 26 19:19:37 EEST 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.4.1-1
- Update to 0.4.1

* Sun Aug 16 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.4.0-1
- Update to 0.4.0
- Add new dep: libhandy1

* Tue Aug 11 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.3.3-1
- Update to 0.3.3

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Thu Jul 23 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.3.2-1
- Update to 0.3.2

* Mon Jul 06 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.3.1-1
- Update to 0.3.1

* Sat Jun 20 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.3.0-1
- Update to 0.3.0

* Sun Jun 14 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.2.10-1
- Update to 0.2.10

* Sun May 17 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.2.9-1
- Update to 0.2.9

* Sun May 03 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.2.8-1
- Update to 0.2.8

* Wed Apr 29 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.2.6-1
- Update to 0.2.6

* Wed Feb 19 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.2.5-1
- Update to 0.2.5

* Fri Jan 31 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Wed Jan 15 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.2.3-1
- Update to 0.2.3

* Sat Jan 11 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.2.2-1
- Update to 0.2.2

* Sat Jan 04 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.2.1-1
- Update to 0.2.1
- Upstream switched to GTK now

* Sun Sep 08 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 0.1.5-6
- Initial package

